
MEMORY
{
    sram (W!RX) : ORIGIN = 0x200000, LENGTH = 0x10000
    flash (RX) : ORIGIN = 0x100000, LENGTH =  0x40000
}
__stack_end__ = 0x00200000 + 64K - 4;

SECTIONS
{  
	. = 0;
	startup : { *(.startup)} >sram

    .fixed :
    {
        . = ALIGN(4);
        _sfixed = .;
        *(.text*)
        *(.rodata*)
	   *(.glue_7)
   	*(.glue_7t)
        . = ALIGN(4);
        _efixed = .;
    } >sram
    
	__end_of_text__ = .;

    .relocate : AT (_efixed)
    {
        . = ALIGN(4);
        _srelocate = .;
        *(.vectors)
        *(.ramfunc)
        *(.data)
        . = ALIGN(4);
        _erelocate = .;
    } >sram

	.data : 
	{
		__data_beg__ = .;
		__data_beg_src__ = __end_of_text__;
		*(.data)
		__data_end__ = .;
	} >sram AT>sram



    .bss (NOLOAD) : {
        _szero = .;
       __bss_beg__ = .;        
        *(.bss)
        . = ALIGN(4);
        _ezero = .;
    } >sram
    
	. = ALIGN(4);
	.eh_frame :
	{
		 KEEP (*(.eh_frame))
	} > sram
    
    
    
    /*_sstack = 0x210000*/
    
   . = ALIGN(32 / 8);    
}
	. = ALIGN(32 / 8);
	_end = .;
	_bss_end__ = . ; __bss_end__ = . ; __end__ = . ;
	PROVIDE (end = .);

